Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.util
Class SkypeKitStartOptions

    java.lang.Object
      com.skype.util.SkypeKitStartOptions

    public class SkypeKitStartOptions

extends java.lang.Object

Field Summary
`java.lang.String` | `audioIpcKey`
`java.lang.String` | `dbPath`
`java.lang.String` | `logfileName`
`boolean` | `moreIpcThreadsEnabled`
`boolean` | `netloggerEnabled`
`int` | `port`
`boolean` | `scoreDumpEnabled`
`java.lang.String` | `scoreDumpPath`
`boolean` | `sys_property_support`
`boolean` | `tlsEnabled`
`java.lang.String` | `videoIpcKey`

Constructor Summary
`SkypeKitStartOptions(Context context)`

Method Summary
`java.lang.String` | `getCmdLineArgs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scoreDumpEnabled

    public boolean scoreDumpEnabled

### netloggerEnabled

    public boolean netloggerEnabled

### tlsEnabled

    public boolean tlsEnabled

### moreIpcThreadsEnabled

    public boolean moreIpcThreadsEnabled

### sys_property_support

    public boolean sys_property_support

### scoreDumpPath

    public java.lang.String scoreDumpPath

### logfileName

    public java.lang.String logfileName

### audioIpcKey

    public java.lang.String audioIpcKey

### videoIpcKey

    public java.lang.String videoIpcKey

### dbPath

    public java.lang.String dbPath

### port

    public int port

Constructor Detail

### SkypeKitStartOptions

    public SkypeKitStartOptions(Context context)

Method Detail

### getCmdLineArgs

    public java.lang.String getCmdLineArgs()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.